> ## Documentation Index
> Fetch the complete documentation index at: https://docs.plurex.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Hosts

> List all available execution hosts (brokers)



## OpenAPI

````yaml POST /api/v1/hosts/query/List
openapi: 3.1.0
info:
  title: Plurex Platform API
  description: >
    Plurex Platform API uses a Command & Query Separation (CQS) architecture.

    All state-changing operations are 'commands' and read-only operations are
    'queries'.

    Both use HTTP POST with JSON payloads.

    No conformity to REST, all inputs are in the body of the request.
  version: 1.0.0
servers:
  - url: https://api.plurex.io
    description: Production server
security:
  - ApiKeyAuth: []
    ApiSecretAuth: []
paths:
  /api/v1/hosts/query/List:
    post:
      tags:
        - Hosts
      summary: List all available execution hosts (brokers)
      operationId: listHosts
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/HostListQuery'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/BaseSuccessPageResponseEnvelope'
                  - type: object
                    properties:
                      items:
                        type: array
                        items:
                          $ref: '#/components/schemas/HostHeader'
components:
  schemas:
    HostListQuery:
      $ref: '#/components/schemas/BasePageQuery'
    BaseSuccessPageResponseEnvelope:
      allOf:
        - $ref: '#/components/schemas/BaseResponse'
        - type: object
          required:
            - items
          properties:
            items:
              type: array
              items:
                type: object
            nextCursor:
              type: string
              nullable: true
              description: Use this value in the next request to fetch the following page.
    HostHeader:
      type: object
      properties:
        id:
          type: string
        isRestricted:
          type: boolean
        targetVenueId:
          type: string
        features:
          $ref: '#/components/schemas/HostFeatures'
        isPaper:
          type: boolean
        supportedCredentialTypes:
          type: array
          items:
            $ref: '#/components/schemas/HostCredentialType'
    BasePageQuery:
      type: object
      properties:
        cursor:
          type: string
          nullable: true
    BaseResponse:
      type: object
      required:
        - traceId
        - serverTime
      properties:
        traceId:
          type: string
          format: uuid
          description: Unique identifier for tracing.
        serverTime:
          type: string
          format: date-time
          description: RFC3339 timestamp of processing.
        warnings:
          type: array
          items:
            type: string
    HostFeatures:
      type: object
      properties:
        leverageScopes:
          type: string
          description: Placeholder for leverage scope settings
        positionModeScopes:
          type: string
          description: Placeholder for position mode scope settings
    HostCredentialType:
      type: string
      enum:
        - ApiKey
        - Paper
      description: Type of credentials used for the account.
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
    ApiSecretAuth:
      type: apiKey
      in: header
      name: X-API-SECRET

````